﻿using System;
using System.Diagnostics;


namespace SpaceInvaders
{
    public class UFOAlienRoot : Composite
    {
        //-------------------------------------------------------------------
        //  CONSTRUCTION
        //-------------------------------------------------------------------

        public UFOAlienRoot(GameObject.ObjectName name, Sprite.SpriteName spriteName, float x, float y)
            : base(name, spriteName)
        {
            this.x = x;
            this.y = y;
            this.name = name;
            this.pColObj.pCollisionSprite.SetColor(1.0f, 0.0f, 0.0f);
        }


        //-------------------------------------------------------------------
        //  PUBLIC METHODS
        //-------------------------------------------------------------------

        public override void Update()
        {
            base.UpdateBoundingBox(this);
            base.Update();
        }


        //-------------------------------------------------------------------
        //  VISITOR METHODS
        //-------------------------------------------------------------------

        public override void Accept(Visitor other)
        {
            other.Visit(this);
        }

        public override void Visit(WallGroup wall)
        {
            CollisionPair.CollidePair(wall,(GameObject)ForwardIterator.GetChild(this));
        }

        public override void Visit(RightWall wall)
        {
            CollisionPair.CollidePair(wall, (GameObject)ForwardIterator.GetChild(this));
        }


    } //end class

} // end namespace
